# bulkcapabilitycheck

Verifies the media channel compatibility of phone numbers

Response:

When performing a Bulk check, you will receive a structured JSON response, which could vary depending on the outcome of your request.\
A successful response (200 OK) will provide a list of reachable users through specific channels, indicating which users can be reached via the requested communication method.

***

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Capability Check API",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://api.cm.com/messaging/numberinfo/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-CM-PRODUCTTOKEN"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/capabilities": {
      "post": {
        "summary": "bulkcapabilitycheck",
        "description": "Verifies the media channel compatibility of phone numbers",
        "operationId": "bulklookup",
        "parameters": [
          {
            "name": "channels",
            "in": "query",
            "description": "Provide a comma-separated list of channels to check. Currently, you can only use 'RCS' as a channel (e.g., RCS).",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-CM-PRODUCTTOKEN",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "phoneNumbers"
                ],
                "properties": {
                  "phoneNumbers": {
                    "type": "array",
                    "description": "Each request for a bulk check must include at least 500 unique phone numbers. The phone numbers must be formatted according to the E.164 standard, which requires including the country code followed by the phone number. For example: +12223334444.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"00000000-0000-0000-0000-000000000000\",\n    \"errors\": [],\n    \"data\": {\n        \"channels\": \"rcs\",\n        \"reachableUsers\": [\n            \"+12223334444\",\n            \"+12223334445\",\n            \"+12223334448\"\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000000"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "channels": {
                          "type": "string",
                          "example": "rcs"
                        },
                        "reachableUsers": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "+12223334444"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "207": {
            "description": "207",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"00000000-0000-0000-0000-000000000000\",\n    \"errors\": [\n        \"The channel 'sms' is not supported.\"\n    ],\n    \"data\": {\n        \"channels\": \"rcs\",\n        \"reachableUsers\": [\n            \"+12223334444\",\n            \"+12223334445\",\n            \"+12223334448\"\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000000"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "The channel 'sms' is not supported."
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "channels": {
                          "type": "string",
                          "example": "rcs"
                        },
                        "reachableUsers": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "+12223334444"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"00000000-0000-0000-0000-000000000000\",\n    \"errors\": [\n        \"Error description.\"\n    ],\n    \"data\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000000"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Error description."
                      }
                    },
                    "data": {}
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"00000000-0000-0000-0000-000000000000\",\n    \"errors\": [\n        \"Authentication failed.\"\n    ],\n    \"data\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000000"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Authentication failed."
                      }
                    },
                    "data": {}
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"00000000-0000-0000-0000-000000000000\",\n    \"errors\": [\n        \"Internal server error.\"\n    ],\n    \"data\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000000"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Internal server error."
                      }
                    },
                    "data": {}
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "67bed4a632077b001189ed01:67bed4a632077b001189ee61"
}
```